Compile error at old kernel #4

Merged
merged 1 commit into from May 13, 2012

Conversation

Projects
None yet
2 participants
@finaldie
Contributor

finaldie commented May 11, 2012

Here is a compiling issue for kernel version older than 2.6.27, due to the "SOCK_NONBLOCK" flag which added since Linux 2.6.27.
So here we can use "fcntl" to set the flag of file descriptor.
It's a little bit problem, but if we design for un-supporting old kernel, forget this :D

cloudwu added a commit that referenced this pull request May 13, 2012

Merge pull request #4 from finaldie/master
Compile error at old kernel

@cloudwu cloudwu merged commit 71a1b9a into cloudwu:master May 13, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment